part of 'course_bloc.dart';

@immutable
abstract class CourseState extends Equatable {
  const CourseState();
  @override
  List<Object?> get props => [];
}

class CourseInitial extends CourseState {
  const CourseInitial();
  @override
  List<Object?> get props => [];
}

class CourseLoading extends CourseState {
  const CourseLoading();
}

class CourseFailed extends CourseState {
  final String? message;
  const CourseFailed(this.message);
}

class CourseSuccess extends CourseState {
  final CourseModel courseModel;
  const CourseSuccess(this.courseModel);
  @override
  List<Object?> get props => [courseModel];
}

class CourseResetState extends CourseState {
  const CourseResetState();
}


